Issue577

Title item addon: paralyzation applied on victim before/even without hitting
Priority bug Status open
Assigned To Keywords
Linked issues Watchers

Submitted on 2012-03-31 17h30 by matthiaskrgr, last changed by jesusalva.

Messages
Author: matthiaskrgr Date: 2012-03-31   17h30
I had a circuit jammer (effect: paralyze) applied to a nobodys edge.
When I attacked an enemy, the bot was ALWAYS getting paralyzed, even if I didn't
hit it with the strike.
If I did, the paralyzation was happening before the actual damage was dealt.

version 0.15-153-gb73684d
Author: ahuillet Date: 2012-03-31   17h43
Bug confirmed.
Enemies are paralyzed in influ.c:1429, but the melee strikes at this point have
not hit the enemy. They hit in bullet.c.
Author: L29Ah Date: 2017-05-27   16h42
Also the paralyzation works for both enemy and hacked bots when you're holding
the paralyzing weapon.
Author: jesusalva Date: 2017-05-29   03h11
I believe there was an issue about that 
misbehavior (actually I saw a friendly 
bot slowed down, must be addons, needs 
some serious checking)
History
Date User Action Args
2017-05-29 03:11:54jesusalvasetmessages: + msg3470
2017-05-27 16:42:00L29Ahsetmessages: + msg3469
2012-03-31 17:43:03ahuilletsetmessages: + msg2193
title: item addon: paralyzation applied on victim before/even without hitting -> item addon: paralyzation applied on victim before/even without hitting
2012-03-31 17:30:12matthiaskrgrcreate